org.apache.sysds.runtime.compress.lib

## Class BitmapLossyEncoder

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.BitmapLossyEncoder

    public class BitmapLossyEncoder
    extends Object

Static functions for encoding bitmaps in various ways.

### Constructor Summary

Constructors
Constructor and Description
`BitmapLossyEncoder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `cleanMemPools()`
`static ABitmap` `makeBitmapLossy(ABitmap ubm, int numRows)` Given a Bitmap try to make a lossy version of the same bitmap.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapLossyEncoder

    public BitmapLossyEncoder()

### Method Detail

#### makeBitmapLossy

    public static ABitmap makeBitmapLossy(ABitmap ubm,
                                          int numRows)

Given a Bitmap try to make a lossy version of the same bitmap.

Parameters:
  `ubm` - The Uncompressed version of the bitmap.
  `numRows` - The number of rows contained in the ubm.
Returns:
  A bitmap.

#### cleanMemPools

    public static void cleanMemPools()